org.apache.tapestry5.internal.services

## Class MarkupWriterFactoryImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.MarkupWriterFactoryImpl

- All Implemented Interfaces:
    MarkupWriterFactory

      public class MarkupWriterFactoryImpl
      extends Object
      implements MarkupWriterFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkupWriterFactoryImpl(PageContentTypeAnalyzer pageContentTypeAnalyzer, RequestPageCache cache, ComponentTemplateSource templateSource, ComponentRequestSelectorAnalyzer componentRequestSelectorAnalyzer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MarkupWriter` | `newMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type.
    `MarkupWriter` | `newMarkupWriter(Page page)` Obtains a markup writer that will render the content for the provided page.
    `MarkupWriter` | `newMarkupWriter(String pageName)` Obtains a markup writer that will render the content for the provided logical page name.
    `MarkupWriter` | `newPartialMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).
    `MarkupWriter` | `newPartialMarkupWriter(Page page)` Obtains a markup writer that will render the content for the provided page, configured for partial page rendering (i.e., for a response to an Ajax request).
    `MarkupWriter` | `newPartialMarkupWriter(String pageName)` Obtains a markup writer that will render the content for the provided logical page name, configured for partial page rendering (i.e., for a response to an Ajax request).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkupWriterFactoryImpl

          public MarkupWriterFactoryImpl(PageContentTypeAnalyzer pageContentTypeAnalyzer,
                                         RequestPageCache cache,
                                         ComponentTemplateSource templateSource,
                                         ComponentRequestSelectorAnalyzer componentRequestSelectorAnalyzer)

  - ### Method Detail

    - #### newMarkupWriter

          public MarkupWriter newMarkupWriter(ContentType contentType)

      Description copied from interface: `MarkupWriterFactory`
      Creates a markup writer for a particular content type.
      Specified by:
        `newMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

    - #### newPartialMarkupWriter

          public MarkupWriter newPartialMarkupWriter(ContentType contentType)

      Description copied from interface: `MarkupWriterFactory`
      Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).
      Specified by:
        `newPartialMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

    - #### newMarkupWriter

          public MarkupWriter newMarkupWriter(String pageName)

      Description copied from interface: `MarkupWriterFactory`
      Obtains a markup writer that will render the content for the provided logical page name. Convenience method for `MarkupWriterFactory.newMarkupWriter(Page)`
      Specified by:
        `newMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `pageName` - logical page name
      Returns:
        writer configured for the page

    - #### newMarkupWriter

          public MarkupWriter newMarkupWriter(Page page)

      Description copied from interface: `MarkupWriterFactory`
      Obtains a markup writer that will render the content for the provided page. Takes into account all necessary information such as the page's content type and doctype.
      Specified by:
        `newMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `page` - the page to obtain a writer for
      Returns:
        writer configured for the page

    - #### newPartialMarkupWriter

          public MarkupWriter newPartialMarkupWriter(Page page)

      Description copied from interface: `MarkupWriterFactory`
      Obtains a markup writer that will render the content for the provided page, configured for partial page rendering (i.e., for a response to an Ajax request). Takes into account all necessary information such as the page's content type and doctype.
      Specified by:
        `newPartialMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `page` - the page to obtain a writer for
      Returns:
        writer configured for the page

    - #### newPartialMarkupWriter

          public MarkupWriter newPartialMarkupWriter(String pageName)

      Description copied from interface: `MarkupWriterFactory`
      Obtains a markup writer that will render the content for the provided logical page name, configured for partial page rendering (i.e., for a response to an Ajax request). Convenience method for `MarkupWriterFactory.newPartialMarkupWriter(Page)`
      Specified by:
        `newPartialMarkupWriter` in interface `MarkupWriterFactory`
      Parameters:
        `pageName` - logical page name
      Returns:
        writer configured for the page

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.